> For the complete documentation index, see [llms.txt](https://docs.limio.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.limio.com/components/component-library/legacy-configuration-components/component-renewal-options.md).

# Component: Renewal Options

**Purpose**: Prompts customers to log in before attempting to renew their subscription. If you'd like to allow users to initiate renewals using their zipcode/postcode and subscription ID instead, use the [Renewal Form component](/components/component-library/legacy-configuration-components/component-renewal-form.md).

## Props

| Prop ID                | Prop Label                | Type     | Default Value                                                         | Info                        |
| ---------------------- | ------------------------- | -------- | --------------------------------------------------------------------- | --------------------------- |
| heading                | Heading                   | string   | Let's renew your subscription                                         | Heading text                |
| subHeading             | Sub-heading               | string   | You can either log in online, or call us so we can assist you.        | Sub heading text            |
| loginHeading           | Login heading             | string   | Log in to your account                                                | Login heading text          |
| loginDescription       | Login description         | string   | Enter your details so we can quickly pull up your subscription.       | Login description text      |
| loginButtonText        | Login button text         | string   | Continue                                                              | Login button text           |
| loginButtonUrl         | Login button url          | string   | [www.limio.com/login](http://www.limio.com/login)                     | Login button url            |
| contactUsHeading       | Contact us heading        | string   | Contact us                                                            | Contact us heading text     |
| contactUsDescription   | Contact us description    | richtext | Alternatively, please contact us by phone to renew your subscription. | Contact us description text |
| manualEntryRenewalText | Manual entry renewal text | richtext | To renew using your subscription number Click here                    | Manual entry renewal text   |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.limio.com/components/component-library/legacy-configuration-components/component-renewal-options.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
